# Delay

An action block that delays execution, pause the fiber for a set duration.

If the proceed option is set to Inexact, the duration may be prolonged to “batch” alarms together across the system, minimizing battery use. If set to Exact, the delay will be as accurate as possible.

To input a sub-second duration precision, switch to expression mode and write a number literal with decimal fraction, e.g. 0.5.

Note! Accurate timing is impossible on Android 6 though 11, expect up to 15 minutes inaccuracy. Accuracy may be improved by using a Timing accuracy workaround in settings, shouldn’t be necessary on Android 12+.

## Options

- Proceed — how precise the delay should be.

## Input arguments

- Duration — duration of the delay in seconds.
- Wake up — whether the device should awake from sleep.